Rankers Namespace Reference

Utility functionality used to rank sequences. More...

## Classes

struct | pairGreater
struct | pairLess
class | argless

## Functions

template<typename T1 , typename T2 >
void | rankVect (const std::vector< T1 > &vect, T2 &res)
| ranks the entries in a vector More...

## Detailed Description

Utility functionality used to rank sequences.

Much of this used to be in GraphMol/RankAtoms.h

## Function Documentation

## rankVect()

template<typename T1 , typename T2 >

void Rankers::rankVect | ( | const std::vector< T1 > & | vect,
|  | T2 & | res
| ) |  |

ranks the entries in a vector

Parameters

  vect | the vector to rank
  res | is used to return the ranks of each entry

Definition at line 65 of file Ranking.h.

References PRECONDITION.